Tap3edit  
german spanish english      
Letzte Version
Tap3edit
Release Notes
Überblick
Was ist Tap3edit?
Wer kann es verwenden?
Was kann es machen?
Wie kann man es machen?
Installation
Was braucht man, bevor es zu installieren?
Installation
Beispiele
Einige Skripten als Beispiel
Tools
Einige C/C++ Tools
Tap3edit on Facebook


Was braucht man vor der Installation?

Da das Modul ein Perl Modul ist, brauchen Sie natürlich Perl. Wenn Sie Unix oder Linux benutzen, haben Sie es möglicherweise schon im System. Überprüfen Sie bitte die Version, die Sie haben. Ich habe das Modul mit Perl 5.8.6 programmiert. Ich habe es mit älteren Versionen nicht ausprobiert. Sie sollten es dann vielleicht auf die letzte Version aktualisieren.

Unix/Linux

Das Modul habe ich unter Linux Suse 9.1 programmiert und alles hat da richtig funktioniert. Ich habe es auch unter Sun Solaris ausprobiert und ich hatte das gleiche Ergebnis. Das System hat sich nicht beschwert. Sie können das Perl-Installation-Paket für Unix/Linux unter folgendem Link finden:

http://www.perl.com/CPAN/ports/index.html

Eigentlich können Sie dort die Perl-Binären für alle Systeme finden.

Windows

Ich habe TAP3::Tap3edit unter Windows noch nicht probiert. Ich vermute, alles sollte genau wie bei Unix gehen. Wenn man über Skripten und Programmen spricht, ist mir lieber Unix/Linux, da sie mächtiger sind. Trotzdem können Sie es versuchen.

Unter folgendem Link finden Sie Perl für Windows:

http://www.activestate.com/Products/ActivePerl/?_x=1

Macintosh

Mit Mac habe ich leider nie gearbeitet. Also ich kann dazu nichts sagen. Trotzdem da Perl multiplatform ist, sollte es genauso wie unter Unix funktionieren.

Hier der Link:

http://www.macperl.com/

Was braucht man noch?

TAP3::Tap3Edit verwendet noch ein Modul, um die ASN.1 Strukturen zu verarbeiten. Der Modulname ist Convert::ASN1 und wurde von Graham Barr geschrieben. In den letzten Versionen von Linux kommt dieses Modul als Teil des Pakets (mindestens habe ich es so unter Suse gesehen). Dieses Modul sollte wie alle Perl-Modulen installiert werden. Man muß nur die Anweisung folgen (eigentlich geht die Installation genau wie bei TAP3::Tap3edit).

Hier können Sie die letzte Version des Moduls finden:

http://search.cpan.org/search?query=Convert-ASN1&mode=all

 

Wenn Sie Perl und Convert::ASN1 in Ihrem System schon installiert haben, können Sie dann TAP3::Tap3edit installieren und sehen was passiert.


Wie kann man mit TAP3::Tap3edit arbeiten? Wie kann man TAP3::Tap3edit installieren?

 

company solutions download Tap Manipulation NRTRDE RAEX Contact